%define kdeprefix /usr
%define qtdir /usr/lib/qt-1.44
%define version 1.1.2
%define kderelease 3cs3
%define sourcedir stable/1.1.2/distribution/tar/generic/source

%define rhsupport kdesupport-redhat-1.1.2cs
%define omit  --without-libjpeg --without-libgif --without-libgdbm 
%define extrareq libungif libjpeg >= 6b-5 gdbm rpm >= 2.5
%define kdename kdesupport
Name: %{kdename}
Summary: K Desktop Environment - Support Libraries
Version: %{version}
Release: %{kderelease}
Serial: 2
Source: ftp://ftp.kde.org:/pub/kde/{sourcedir}/%{kdename}-%{version}.tar.bz2
Source1: %{rhsupport}.tar.gz
Group: System Environment/Libraries
Copyright: LGPL/GPL
BuildRoot: /var/tmp/%{kdename}-buildroot
Requires: %{extrareq}
Prereq: /sbin/ldconfig
Prefix: %{kdeprefix}

%description
Support Libraries for the K Desktop Environment, but not part of it.

Libraries included are: QwSpriteField, js (javascript), uulib, mimelib,
and rdb.  Extra KDE initialization files geared especially for Red Hat
Linux systems are also included.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n kdesupport-%{version}

# extra scripts for redhat
%setup -q -n kdesupport-%{version} -T -D -a 1

%build
export QTDIR=%{qtdir}
./configure \
	--prefix=%{kdeprefix} \
	--with-install-root=$RPM_BUILD_ROOT \
	--disable-path-check %{omit}
make CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS"

%install
make prefix=$RPM_BUILD_ROOT%{kdeprefix} install-strip
chmod a+x $RPM_BUILD_ROOT%{kdeprefix}/lib/*

# edit the redhat scripts to use %{kdeprefix}
cd $RPM_BUILD_DIR/kdesupport-%{version}/scripts
for file in * ; do
    if [ -f $file ] ; then
	sed -e "s.@KDEPREFIX@.%{kdeprefix}.g" $file > ../$file
    fi
done
cd ..

# Czech modification: start
# install the default user configuration files
#mv etc/skel/kde etc/skel/.kde
#cp -a $RPM_BUILD_DIR/kdesupport-%{version}/share/config \
#	etc/skel/.kde/share
#cp -a  $RPM_BUILD_DIR/kdesupport-%{version}/etc $RPM_BUILD_ROOT
cp -a  $RPM_BUILD_DIR/kdesupport-%{version}/share $RPM_BUILD_ROOT/%{kdeprefix}/
# we ignore the share stuff, for now
# Czech modification: end

#install initialization scripts.
install -d $RPM_BUILD_ROOT/etc/profile.d
install -m 0755 $RPM_BUILD_DIR/kdesupport-%{version}/kde.sh \
	$RPM_BUILD_ROOT/etc/profile.d/kde.sh
install -m 0755 $RPM_BUILD_DIR/kdesupport-%{version}/kde.csh \
	$RPM_BUILD_ROOT/etc/profile.d/kde.csh

# Generating the filelist  (files in %{kdename})
{
        pushd $RPM_BUILD_ROOT
        find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
                $RPM_BUILD_DIR/file.list.%{kdename}
 
        find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
                -e '/\/config\//s|^|%config|' >> \
                $RPM_BUILD_DIR/file.list.%{kdename}
 
        find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
                $RPM_BUILD_DIR/file.list.%{kdename}
 

	egrep -v "%{kdeprefix}/doc$|%{kdeprefix}/doc/" $RPM_BUILD_DIR/file.list.%{kdename} > \
		$RPM_BUILD_DIR/file.list.%{kdename}.new
	mv $RPM_BUILD_DIR/file.list.%{kdename}.new \
		$RPM_BUILD_DIR/file.list.%{kdename}
	mkdir -p $RPM_BUILD_ROOT%{kdeprefix}/doc/kde
	echo "%docdir %{kdeprefix}/doc/kde" >> \
		$RPM_BUILD_DIR/file.list.%{kdename}
        popd
}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{kdename}


%post
if [ -f /etc/ld.so.conf ]; then
	grep -q '%{kdeprefix}/lib' /etc/ld.so.conf || \
	echo "%{kdeprefix}/lib" >> /etc/ld.so.conf
else
	echo "%{kdeprefix}/lib" >> /etc/ld.so.conf
fi
/sbin/ldconfig

%postun
if [ $1 = 0 ]; then
	if ! [ -d %{kdeprefix}/lib ] ; then
	mv /etc/ld.so.conf /etc/ld.so.conf.orig
	grep -v '^%{kdeprefix}/lib$' /etc/ld.so.conf.orig > /etc/ld.so.conf
	rm /etc/ld.so.conf.orig
	/sbin/ldconfig
	fi
fi

%files -f ../file.list.%{kdename}

%changelog
* Thu Oct 10 1999 Milan Kerslager <milan.kerslager@spsselib.hiedu.cz>
- new panelrc moved to czech-adaptation

* Thu Oct  3 1999 Milan Kerslager <milan.kerslager@spsselib.hiedu.cz>
- we dislike config files in /etc/skel/*

* Thu Sep 23 1999 Preston Brown <pbrown@redhat.com>
- fix up kde.sh and kde.csh scripts for relocatibility
- put docs under /usr/doc/kde

* Mon Sep 13 1999 Preston Brown <pbrown@redhat.com>
- updated templates from kdebase

* Mon Sep 07 1999 Preston Brown <pbrown@redhat.com>
- packaged 1.1.2 release

* Mon Jul 11 1999 Preston Brown <pbrown@redhat.com>
- fixed broken kde.csh startup script.

* Fri Jun 11 1999 Preston Brown <pbrown@redhat.com>
- quite a few bugfixes and the latest snapshot

* Mon Apr 19 1999 Preston Brown <pbrown@redhat.com>
- last snapshot before release

* Fri Apr 16 1999 Preston Brown <pbrown@redhat.com>
- updated some of the default configuration information
- made the printer icon use klpq not lpr

* Wed Apr 14 1999 Preston Brown <pbrown@redhat.com>
- stop warning message at installation time if ld.so.conf nonexistent

* Tue Apr 13 1999 Preston Brown <pbrown@redhat.com>
- fixed substitution of KDEPREFIX in shell scripts

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- snapshot from stable tree, improvements

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.
- removed installation of /etc/skel/.Xclients.

* Mon Feb 08 1999 Preston Brown <pbrown@redhat.com>
- upgrade to KDE 1.1 final.

* Tue Jan 05 1998 Preston Brown <pbrown@redhat.com>
- again, integrated changes from Duncan Haldane
